# ===============================
# = DATA SOURCE
# ===============================
spring.datasource.url = jdbc:mysql://localhost:3306/dashbot?rewriteBatchedStatements=true
spring.datasource.username = dashbot
spring.datasource.password = dashbot
spring.datasource.testWhileIdle = true
spring.datasource.validationQuery = SELECT 1
hibernate.jdbc.batch_size=50
hibernate.jdbc.batch_versioned_data = true
hibernate.order_inserts=true
#hibernate.generate_statistics=true
#spring.jpa.properties.hibernate.jdbc.batch_versioned_data = true
#spring.jpa.properties.hibernate.order_inserts=true
#spring.jpa.properties.hibernate.order_updates=true
#spring.jpa.properties.hibernate.generate_statistics=true
#spring.jpa.properties.hibernate.jdbc.batch_size=50

hibernate.show_sql=true
hibernate.SQL=debug
spring.jpa.properties.hibernate.show_sql=true
spring.jpa.properties.hibernate.format_sql=true
spring.jpa.properties.hibernate.SQL=debug
# ===============================
# = JPA / HIBERNATE
# ===============================
spring.jpa.show-sql = true
spring.jpa.hibernate.ddl-auto = update
spring.jpa.hibernate.naming-strategy = org.hibernate.cfg.ImprovedNamingStrategy
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5Dialect
hibernate.hbm2ddl.auto = create
# ===============================
# = Thymeleaf configurations
# ===============================
spring.thymeleaf.cache=false